package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(tenant_apply):
 */
public class TenantApply {

	/**  */
	private Long id;
	
	/** 机构名称 */
	private String name;
	
	/** 城市 */
	private String city;
	
	/** 联系人 */
	private String linkman;
	
	/** 手机号码 */
	private String mobileNo;
	
	/** 推荐人姓名 */
	private String nameOfReferrer;
	
	private Integer studentNumLevel;
	
	/**  */
	private java.util.Date createTime;
	
	/** 回访时间 */
	private java.util.Date callBackTime;
	
	/** 回访记录 */
	private String callBackLog;

    /**
     * 回访人/沟通人
     */
    private String callBackPeople;

    /**
     * 推荐人/非必填
     */
    private String recommender;

	private String smsCode;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCity(String city){
		this.city = city;
	}
	
	public String getCity(){
		return this.city;
	}
			
	public void setLinkman(String linkman){
		this.linkman = linkman;
	}
	
	public String getLinkman(){
		return this.linkman;
	}
			
	public void setMobileNo(String mobileNo){
		this.mobileNo = mobileNo;
	}
	
	public String getMobileNo(){
		return this.mobileNo;
	}
			
	public Integer getStudentNumLevel() {
		return studentNumLevel;
	}

	public void setStudentNumLevel(Integer studentNumLevel) {
		this.studentNumLevel = studentNumLevel;
	}

	public String getNameOfReferrer() {
		return nameOfReferrer;
	}

	public void setNameOfReferrer(String nameOfReferrer) {
		this.nameOfReferrer = nameOfReferrer;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setCallBackTime(java.util.Date callBackTime){
		this.callBackTime = callBackTime;
	}
	
	public java.util.Date getCallBackTime(){
		return this.callBackTime;
	}
			
	public void setCallBackLog(String callBackLog){
		this.callBackLog = callBackLog;
	}
	
	public String getCallBackLog(){
		return this.callBackLog;
	}
			
	public String getSmsCode() {
		return smsCode;
	}

	public void setSmsCode(String smsCode) {
		this.smsCode = smsCode;
	}

    public String getCallBackPeople() {
        return callBackPeople;
    }

    public void setCallBackPeople(String callBackPeople) {
        this.callBackPeople = callBackPeople;
    }

    public String getRecommender() {
        return recommender;
    }

    public void setRecommender(String recommender) {
        this.recommender = recommender;
    }

    @Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
